Processing Toolbox still looks for GRASS at /usr/bin/grass70.
The workaround I used is to add a softlink:
sudo ln -s /usr/bin/grass72/usr/bin/grass70
It was already pointed [1] out that the correct solution would be for Processing to use the generic /usr/bin/grass which will always point to the current version.


[1]http://lists.osgeo.org/pipermail/qgis-user/2017-January/038874.html

On 2017-01-23 12:40 PM, Robert Nuske wrote:
Dear benefactor,

thanks a lot to the kind soul who did the packaging for 2.18.3 !
I now can see and open my GRASS data again in QGIS.


But I still can not execute GRASS commands from the Processing Toolbox.
I still get the same error message claiming my GRASS is not installed
correctly. But I can open GRASS 7.2 from the command line w/o problems.

Is there a setting telling QGIS where to look for GRASS?
I didn't find anything in the processing options. The GRASS GIS 7 commands are
already activated and the path to the GRASS 7 docs is fine.

cheers
   robert


Am Donnerstag, 12. Januar 2017, 16:25:07 CET schrieb Robert Nuske:
Dear List

I can not see/load my GRASS data from within QGIS anymore and can not use
the GRASS algorithms offered in the Processing Toolbox (GRASS GIS 7
commands are activated in the Processing options).

Trying to run v.info from the Toolbox I get the following error message:
---
This algorithm cannot be run :-(
It seems that GRASS GIS 7 is not correctly installed and configured in your
system. Please install it before running GRASS GIS 7 algorithms.
---

Starting QGIS on the command line does not produce suspicious output:
---
$ qgis
Warning: loading of qgis translation failed
[/usr/share/qgis/i18n//qgis_en_US] Warning: loading of qt translation
failed [/usr/share/qt4/translations/ qt_en_US]
Warning: QCss::Parser - Failed to load file  "/style.qss"
Warning: QLayout: Attempting to add QLayout "" to QgsPanelWidgetStack
"mWidgetStack", which already has a layout
---

QGIS 2.18.2  was installed this week on a new computer running kubuntu
16.04.1 (xenial) amd64 using the following repositories
   deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu xenial
main deb http://qgis.org/ubuntugis xenial main
Please see below for a list of qgis related installed packages.


Do I use the wrong repositories or does anything else need to be configured?

Any hints are more than welcome.

Thanks
   Robert

-----------------------------------------------------------

$ dpkg -s qgis
Package: qgis
Status: install ok installed
Priority: optional
Section: science
Installed-Size: 18417
Maintainer: QGIS developers <qgis-develo...@lists.osgeo.org>
Architecture: amd64
Version: 1:2.18.2+24xenial-ubuntugis

$ dpkg -s grass
Package: grass
Status: install ok installed
Priority: optional
Section: metapackages
Installed-Size: 35
Maintainer: Debian GIS Project <pkg-grass-de...@lists.alioth.debian.org>
Architecture: all
Version: 7.2.0-1~xenial2


$ aptitude search qgis | grep ^i
i A libqgis-analysis2.18.2          - QGIS - shared analysis library
i A libqgis-app2.18.2               - QGIS - shared app library
i A libqgis-core2.18.2              - QGIS - shared core library
i A libqgis-customwidgets           - QGIS custom widgets for Qt Designer
i A libqgis-gui2.18.2               - QGIS - shared gui library
i A libqgis-networkanalysis2.18.2   - QGIS - shared network analysis library
i A libqgis-server2.18.2            - QGIS - shared server library i A
libqgisgrass7-2.18.2            - QGIS - shared grass library
i A libqgispython2.18.2             - QGIS - shared Python library
i A python-qgis                     - Python bindings to QGIS
i A python-qgis-common              - Python bindings to QGIS - architecture
i   qgis                            - Geografisches Informationssystem
(GIS) i A qgis-common                     - QGIS - architecture-independent
data i A qgis-plugin-globe               - OSG globe plugin for QGIS
i A qgis-plugin-globe-common        - OSG globe plugin for QGIS - arch
i A qgis-plugin-grass               - GRASS plugin for QGIS
i A qgis-plugin-grass-common        - GRASS plugin for QGIS - architecture
i A qgis-provider-grass             - GRASS provider for QGIS
i A qgis-providers                  - collection of data providers to QGIS
i A qgis-providers-common           - collection of data providers to QGIS


$ aptitude search grass | grep ^i
i   grass                           - Geographic Resources Analysis Support
i A grass-core                      - GRASS-GIS-Kernkomponenten
i A grass-doc                       - GRASS GIS user documentation
i A grass-gui                       - GRASS GIS graphical user interfaces
i A libqgisgrass7-2.18.2            - QGIS - shared grass library
i A qgis-plugin-grass               - GRASS plugin for QGIS
i A qgis-plugin-grass-common        - GRASS plugin for QGIS - architecture-
i A qgis-provider-grass             - GRASS provider for QGIS
_______________________________________________
Qgis-user mailing list
Qgis-user@lists.osgeo.org
List info: http://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: http://lists.osgeo.org/mailman/listinfo/qgis-user

_______________________________________________
Qgis-user mailing list
Qgis-user@lists.osgeo.org
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user

_______________________________________________
Qgis-user mailing list
Qgis-user@lists.osgeo.org
List info: https://lists.osgeo.org/mailman/listinfo/qgis-user
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-user

Reply via email to